changeset 624:407c20f90f6a

gsm-fw/cfgmagic/processconf.sh: guard against building L1 for target != gtamodem
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Sun, 31 Aug 2014 03:04:51 +0000
parents f5243fa2d2b9
children 29dae53ad969
files gsm-fw/cfgmagic/processconf.sh
diffstat 1 files changed, 7 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/gsm-fw/cfgmagic/processconf.sh	Sun Aug 31 02:18:44 2014 +0000
+++ b/gsm-fw/cfgmagic/processconf.sh	Sun Aug 31 03:04:51 2014 +0000
@@ -75,6 +75,13 @@
 	export_to_mk	CONFIG_INCLUDE_L1
 fi
 
+if [ "$CONFIG_INCLUDE_L1" = 1 -a "$TARGET" != gtamodem ]
+then
+	echo "Error: tpudrv has not been extended to target != gtamodem yet" \
+		1>&2
+	exit 1
+fi
+
 # The list of build components: we have some invariants that are always
 # included, and some others that are included depending on the configuration.